Get face match results
curl --request GET \
--url https://api.cloudglue.dev/v1/face-match/{face_match_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudglue.dev/v1/face-match/{face_match_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudglue.dev/v1/face-match/{face_match_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"face_match_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"created_at": 123,
"face_detection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"frame_extraction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_face_bounding_box": {
"height": 0.5,
"width": 0.5,
"top": 0.5,
"left": 0.5
},
"data": {
"object": "list",
"total": 123,
"limit": 50,
"offset": 1,
"faces_matches": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"face_bounding_box": {
"height": 0.5,
"width": 0.5,
"top": 0.5,
"left": 0.5
},
"similarity": 50,
"frame_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": 123,
"thumbnail_url": "<string>"
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}Face Match
Get Face Match Results
Retrieve face match results including detected faces and similarity scores
GET
/
face-match
/
{face_match_id}
Get face match results
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the face match to retrieve
Query Parameters
Number of face matches to return
Required range:
1 <= x <= 100Offset from the start of the face matches list
Required range:
x >= 0Response
Face match results retrieved successfully
Unique identifier for the face match job
Status of the face match job
Available options:
pending, processing, completed, failed Unix timestamp in milliseconds when the job was created
ID of the face detection analysis used
ID of the frame extraction used
ID of the target file
Bounding box of the source face in the source image (null when job is pending/processing)
Show child attributes
Show child attributes
Face match results (only present when status is completed)
Show child attributes
Show child attributes